/****************************************************************************
File    : display_win.h
/*
@(#) #SY# Atari800Win
@(#) #IS# DisplayWin public methods and objects prototypes
@(#) #BY# Harry
@(#) #LM# 01.04.2000
*/

#ifndef __DISPLAY_WIN_H__
#define __DISPLAY_WIN_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Const declarations */

/* Exported methods */

int  InitialiseScreen  ( void );
void ClearScreen       ( BOOL bPermanent );
void Atari_Set_Disk_LED( int nUnit, int nState );
void CheckDDrawModes   ( void );
void ComputeClipArea   ( void );
void SafeShowScreen    ( void );
void DrawPausedScreen  ( UBYTE *screen );
void ScreenBenchmark   ( void );
int  SetSafeDisplay    ( BOOL bUseGDI );

/* Exported globals */

extern HDC    g_hScreenDC;
extern int    g_nStatusSize;
extern UCHAR *g_screenbuff;

#ifdef __cplusplus
}
#endif

#endif /*__DISPLAY_WIN_H__*/
