/****************************************************************************
File    : globals.c
/*
@(#) #SY# Atari800Win
@(#) #IS# Shared C-core attributes definitions
@(#) #BY# Harry
@(#) #LM# 20.03.2000
*/

#include "WinAtari.h"
#include "WinConfig.h"
#include "Graphics.h"
#include "sio.h"
#include "registry.h"


HWND   g_hMainWnd           = NULL;
HWND   g_hWnd               = NULL;
int    g_nStartX            = 0;
int    g_nStartY            = 0;
long   g_nSleepThreshold    = 0;
int    g_nJoyRepeat         = 0;
int    g_nJoySkip           = 0;
int    g_nSoundRate         = 44100;
int    g_nSoundVol          = 0;

ULONG  g_ulScreenMode       = DISPLAY_MODE_DEFAULT;
ULONG  g_ulModesAvail       = 0;
ULONG  g_ulMiscStates       = 0;
ULONG  g_ulDontShowFlags    = 0;
ULONG  g_ulFileAssociations = 0;
ULONG  g_ulAtariHWNexttime  = 0;
ULONG  g_ulDeltaT           = 0;
ULONG  g_ulJoystickSelects  = 0x7f7f7fff;
ULONG  g_ulSoundState       = SOUND_MMSOUND | SOUND_CUSTOM_RATE;
ULONG  g_ulAtariState       = ATARI_UNINITIALIZED | ATARI_PAUSED;

LPBITMAPINFO g_lpbmi        = NULL;	/* bitmap info for our screen bitmap */

int   g_argc                = 0;
char *g_argv     [ 32 ];
char  g_szCmdLine[ 1024 ];

char *g_apszDriveRegID[ MAX_DRIVES ] =
{
	REG_DRIVE1,
	REG_DRIVE2,
	REG_DRIVE3,
	REG_DRIVE4,
	REG_DRIVE5,
	REG_DRIVE6,
	REG_DRIVE7,
	REG_DRIVE8
};

char  g_szTemplateFile[ MAX_PATH ];
char  g_szTemplateDesc[ MAX_PATH ];
int   g_nKBTable      [ 256 ];		/* Number of virtual key codes */

PALETTEENTRY g_pe     [ 256 ];

TCHAR g_tszErrorString[ LOADSTRING_STRING_SIZE ];
